Name:		kscope
Summary: 	QT front-end to Cscope
Version:	1.9.4
Release:	14%{?dist}
License:	GPLv2+
Group:		Development/Tools
Source0:	http://download.sourceforge.net/kscope/%{name}-%{version}.tar.gz
Source1:	kscope.desktop
Patch0:		kscope-1.9.4-implicit-DSO-libqscintilla2.patch
URL:		http://kscope.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils, qt4-devel, gettext, qscintilla-devel
BuildRequires:	glib2-devel
Requires:	cscope, ctags, graphviz

%description
KScope is a QT4 front-end to Cscope. It provides a source-editing 
environment for large C projects, such as the Linux kernel.

KScope is by no means intended to be a replacement to any of the leading 
Linux/KDE IDEs, such as KDevelop. First of all, it is not an Integrated 
Development Environment: it does not provide the usual write/compile/debug 
cycle supported by most IDE's. Instead, KScope is focused on source 
editing and analysis. 

%package devel
Summary:	Development files for kscope
Group:		Development/Tools
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for kscope.

%prep
%setup -q
%patch0 -p1 -b .DSO
sed -i 's|/usr/local|%{buildroot}%{_prefix}|g' config
for i in app/app.pro core/core.pro cscope/cscope.pro editor/editor.pro; do
	sed -i 's|/lib|/%{_lib}|g' $i
done

%build
qmake-qt4

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p app/images/kscope.png %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/kscopeapp
%{_libdir}/libkscope_core.so.*
%{_libdir}/libkscope_cscope.so.*
%{_libdir}/libkscope_editor.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/kscope.png

%files devel
%defattr(-,root,root,-)
%{_libdir}/libkscope_core.so
%{_libdir}/libkscope_cscope.so
%{_libdir}/libkscope_editor.so

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.9.4-12
- rebuild (qscintilla)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Rex Dieter <rdieter@fedoraproject.org> 1.9.4-9
- rebuild (qscintilla)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 24 2011 Rex Dieter <rdieter@fedoraproject.org> 1.9.4-6
- rebuild (qscintilla)

* Sat May 07 2011 Rex Dieter <rdieter@fedoraproject.org> 1.9.4-5
- rebuild (qscintilla)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 10 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.4-3
- fix implicit DSO linking issue with libqscintilla2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.4-1
- update to 1.9.4

* Fri Feb 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.2-3
- add missing BR: glib2-devel

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.9.2-1
- update to 1.9.2

* Fri Jan 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.9.1-1
- Update to 1.9.1

* Mon Jan 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.9.0-1
- update to 1.9.0, no longer depends on kde
- license change to GPLv2+

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.2-1
- update to 1.6.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-4
- Autorebuild for GCC 4.3

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-3
- drop vendor

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-2
- cleanups from review 

* Fri Jan 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-1
- Initial package for Fedora
